@ECHO OFF
REM From a 10-image input sequence of sequential filenames, 
REM create an output sequence of 1-10000 sequential filenames.
SETLOCAL EnableDelayedExpansion
SET num_of_files=100
IF NOT EXIST "test_directory" MD "test_directory"
FOR /L %%i IN (0,10,%num_of_files%) DO CALL :docopy %%i
FOR /L %%i IN (1,10,%num_of_files%) DO CALL :docopy %%i
FOR /L %%i IN (2,10,%num_of_files%) DO CALL :docopy %%i
FOR /L %%i IN (3,10,%num_of_files%) DO CALL :docopy %%i
FOR /L %%i IN (4,10,%num_of_files%) DO CALL :docopy %%i
FOR /L %%i IN (5,10,%num_of_files%) DO CALL :docopy %%i
FOR /L %%i IN (6,10,%num_of_files%) DO CALL :docopy %%i
FOR /L %%i IN (7,10,%num_of_files%) DO CALL :docopy %%i
FOR /L %%i IN (8,10,%num_of_files%) DO CALL :docopy %%i
FOR /L %%i IN (9,10,%num_of_files%) DO CALL :docopy %%i
GOTO :eof
:docopy
REM Since files are being numbered from zero, skip creating the %num_of_files% filename.
IF %~1==%num_of_files% EXIT /B
SET FNum=000%~1
REM Use the mechanism below to control the number of digits used in the input and output filenames.
REM  So a %FNum% of 000100 becomes: %inFN% of 0 and %outFN%" of 0100.
SET InFN=%FNum:~-1%
SET OutFN=%FNum:~-4%
REM For example, with a %num_of_files% of 15, "4" is used twice in filenames:
REM COPY test4.jpg test_directory\Sequence_0004.jpg
REM COPY test4.jpg test_directory\Sequence_0014.jpg
COPY test%InFN%.jpg test_directory\Sequence_%OutFN%.jpg